org.jgrapht.util

## Class MathUtil

- java.lang.Object
- - org.jgrapht.util.MathUtil

-     public class MathUtil
      extends Object

  Math Utilities. Currently contains the following:
  1. factorial(int N) - caclulate the factorial of N (aka N!)
  Since:
    May 30, 2005
  Author:
    Assaf

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MathUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static long` | `factorial(int N)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MathUtil

          public MathUtil()

  - ### Method Detail

    - #### factorial

          public static long factorial(int N)

Copyright © 2016. All rights reserved.